package com.jprofiler.api.agent;

/**
 * Represents the type of elements to be tracked in probe tracking.
 * @see Controller#startProbeTracking(String, String[], ProbeObjectType, ProbeValueType)
 */
public enum ProbeObjectType {

    /**
     * The {@code descriptions} parameter of the {@link Controller#startProbeTracking(String, String[], ProbeObjectType, ProbeValueType) startProbeTracking}
     * method will contain IDs of control objects.
     */
    CONTROL_OBJECT_FROM_ID("control object from id"),

    /**
     * The {@code descriptions} parameter of the {@link Controller#startProbeTracking(String, String[], ProbeObjectType, ProbeValueType) startProbeTracking}
     * method will contain the names of control objects.
     */
    CONTROL_OBJECT_FROM_DESCRIPTION("control object from description"),

    /**
     * The {@code descriptions} parameter of the {@link Controller#startProbeTracking(String, String[], ProbeObjectType, ProbeValueType) startProbeTracking}
     * method will contain the names of hot spots.
     */
    HOTSPOT("hotspot");

    private String description;

    ProbeObjectType(String description) {
        this.description = description;
    }

    @Override
    public String toString() {
        return description;
    }
}
