package com.jprofiler.api.agent.probe;

/**
 * Base interface for probes. This interface cannot be used by itself. Please implement
 * the derived interfaces {@link InterceptorProbe} and {@link TelemetryProbe} if
 * you develop a custom probe in your IDE.
 */
public interface Probe {
    /**
     * Configures the capabilities of your custom probe. This method is called once by the profiling agent
     * after the probe is instantiated.
     * @return the meta data of your custom probe
     */
    ProbeMetaData getMetaData();
}
